For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/channels/patch-api-contacts-v1channels-by-channel_id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Update Channel

PATCH
/api/contacts/v1/channels/:channel_id
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { channel, channelError } = await reloop.contacts.channels.update(
6 "chn_123456789",
7 { name: "Marketing News" },
8);
9
10if (channelError) throw channelError;
11
12console.log(channel.id, channel.name);
1{
2 "object": "channel",
3 "id": "con_123456789",
4 "name": "Newsletter",
5 "description": "example_description",
6 "defaultSubscription": "opt_in",
7 "visibility": "private",
8 "createdAt": "2026-03-23T10:00:00.000Z",
9 "updatedAt": "2026-03-23T10:00:00.000Z",
10 "event": "evt_123456789"
11}

Path Parameters

channel_idstringRequired

Channel ID

Body Parameters

namestring

Channel name

  • Minimum length: 1
  • Maximum length: 255
descriptionstring | null
visibility"private" | "public"

Possible values: private | public

Was this page helpful?